Page MenuHomePhabricator

Special:GlobalRenameRequest is notifying all users with a shared name of a completed request
Closed, ResolvedPublic

Description

When a user's request for rename through Special:GlobalRenameRequest is completed, all users with the name are being emailed of its completion. This is a problem because all the contacted users think they are being renamed when they are not.

$oldUser->sendMail( $subject, $body );

seems to be the trouble.

Event Timeline

Keegan created this task.Mar 20 2015, 10:15 PM
Keegan raised the priority of this task from to High.
Keegan updated the task description. (Show Details)
Keegan added a project: SUL-Finalization.
Keegan added subscribers: Keegan, DerHexer, Legoktm and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2015, 10:15 PM
Ahonc added a subscriber: Ahonc.Mar 20 2015, 10:19 PM
hoo raised the priority of this task from High to Unbreak Now!.Mar 20 2015, 10:28 PM
hoo set Security to None.
Stryn added a subscriber: Stryn.Mar 20 2015, 10:31 PM

The problem appears to be that we rename the proper user but when we send the email we use the email address of the user that was locally attached on the wiki where the rename was processed.

Change 198441 had a related patch set uploaded (by BryanDavis):
Ensure that emails are sent to correct email address

https://gerrit.wikimedia.org/r/198441

bd808 claimed this task.Mar 21 2015, 12:21 AM
bd808 added a project: MediaWiki-Core-Team.
bd808 moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.
Keegan renamed this task from Special:GlobalRenameRequest is notifying all users with a shared name of a complete request to Special:GlobalRenameRequest is notifying all users with a shared name of a completed request.Mar 21 2015, 4:54 AM

Change 198441 merged by jenkins-bot:
Ensure that emails are sent to correct email address

https://gerrit.wikimedia.org/r/198441

hoo closed this task as Resolved.Mar 23 2015, 8:06 PM

Still needs to be deployed... guess that's going to happen today.

Change 199044 had a related patch set uploaded (by Legoktm):
Ensure that emails are sent to correct email address

https://gerrit.wikimedia.org/r/199044

Change 199046 had a related patch set uploaded (by Legoktm):
Ensure that emails are sent to correct email address

https://gerrit.wikimedia.org/r/199046

Keegan moved this task from Doing to Done on the SUL-Finalization board.Mar 23 2015, 9:08 PM

Change 199044 merged by Legoktm:
Ensure that emails are sent to correct email address

https://gerrit.wikimedia.org/r/199044

Change 199046 merged by Legoktm:
Ensure that emails are sent to correct email address

https://gerrit.wikimedia.org/r/199046

Deployed and confirmed with the help of @DerHexer